System Requirements for Rational Software Analyzer Developer Edition Version 7.1

Preventive Service Planning


Abstract

This document serves to supplement the Installation Guide by summarizing the system requirements for IBM Rational Software Analyzer Developer Edition Version 7.1.

Content




GLOSSARY:
Hardware: The hardware on which the product is supported.

Operating System: The operating system on which the product is supported.

Revision: Operating System Patch or Service Release or selected version with which the product is supported.

RFE: Request for Enhancement. A change request focused on support for the platform or operating system.

VRMF: VRMF is the product release numbering format that is being implemented throughout the IBM and the Rational product lines. Review education document 7008656 for a explanation of the VRMF - Maintenance Delivery Vehicle (MDV) terminology used by Rational products.




Minimum Hardware Requirements

Rational Software Analyzer Version 7.1
Component
Minimum Requirement
Processor
Minimum: 3.4 GHz Intel® Pentium® 4 (or higher for best results). Recommended: Intel Core 2.0 or similar.
Display
1024 x 768 resolution minimum using 256 Colors (or higher for best results)
Memory
Minimum: 1 GB of RAM. Recommended: 2 GB of RAM.


Disk space
Minimum: 750 MB of disk space is required to install the product package. Additional disk space is required for the resources that you develop.
Note:
  • Additional disk space is required if you download the product package to install this product.
  • For Windows: Additional disk space is required if you use FAT32 instead of NTFS.
  • For Linux or AIX: An additional 500 MB of disk space is required in the /tmp directory.


Linux

Rational Software Analyzer Version 7.1
Hardware
Operating System
Comments
Desktop
x86-32
Red Hat Enterprise Linux Version 4.0
Red Hat Enterprise Linux Version 5.0
SUSE Linux Enterprise Desktop (SLED) Version 9
SUSE Linux Enterprise Desktop (SLED) Version 10
Server
x86-32
Red Hat Enterprise Linux Version 4.0
Red Hat Enterprise Linux Version 5.0
SUSE Linux Enterprise Server (SLES) Version 9
SUSE Linux Enterprise Server (SLES) Version 10


Microsoft Windows

Rational Software Analyzer Version 7.1
Hardware
Operating System
Comments

x86-32

x86-64
Microsoft Windows XP Professional with Service Pack 1 or later
Microsoft Windows Vista Business, Windows Vista Enterprise, and Windows Vista Ultimate
Microsoft Windows 2003 Server with Service Pack 2
Microsoft Windows 2008 Server with Service Pack 2


AIX

Rational Software Analyzer Version 7.1
Operating System
Comments
AIX Version 5.3


Software requirements for extending an existing Eclipse IDE


This version of the IBM Rational Software Analyzer product was developed for use with Version 3.4.2 of the Eclipse IDE. You can only extend an existing Eclipse IDE of version 3.4.2 with latest updates from eclipse.org.

Important: To enable Windows Vista users who do not have Administrator privileges to work with Rational Software Analyzer, do not install Eclipse in the Program Files directory (C:\Program Files\).


Extending Rational Team Concert

Rational Software Analyzer Version 7.1
Rational Team Concert Edition and Version
Comments
Express Edition Version 1.0.1
Process templates are supported.
Standard Edition Version 1.0.1
Process templates are supported.
Express Edition Version 2
Process templates are supported.
Standard Edition Version 2
Process templates are supported.


Web Browsers


To view the readme files and the installation guide, and to support the Standard Widget Toolkit (SWT) browser widget, you must have one of the following Web browsers:
Rational Software Analyzer Version 7.1
Web Browser
Version
Comments
Firefox
1.0.x, 1.5, 2.0, or later
Mozilla
1.7 or later
The launchpad does not support Mozilla 1.6; if your browser is Mozilla, you need version 1.7, or later, to run the launchpad.
Internet Explorer
6 SP1 or later

JREs

Rational Software Analyzer Version 7.1
Operating System
Product
Version
Comments
Windows IBM 32-bit SDK for Windows, Java 2 Technology Edition 5.0 (Service Release 5) or later
Sun Java 2 Standard Edition for Microsoft Windows 5.0 (Update 12) or later
Linux IBM 32-bit SDK for Linux on Intel architecture, Java 2 Technology Edition 5.0 (Service Release 5) or later By default, Red Hat Linux Version 5.0 installs with Java 1.4. However, IBM Installation Manager requires Java Version 1.5. To determine which version of Java you have installed, issue this command: java -version. Use the output of that command to verify that you have Java version 1.5 installed.
Sun Java 2 Standard Edition for Linux x86 5.0 (Update 12) or later By default, Red Hat Linux Version 5.0 installs with Java 1.4. However, IBM Installation Manager requires Java Version 1.5. To determine which version of Java you have installed, issue this command: java -version. Use the output of that command to verify that you have Java version 1.5 installed.

Not supported for SUSE Linux Enterprise Server [SLES] Version 9

Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

Rational Software Analyzer Developer Edition
Documentation

Software version:

7.1

Operating system(s):

AIX, Linux, Windows

Reference #:

1391472

Modified date:

2010-04-15

Translate my page

Machine Translation

Content navigation